
struct vertex_t
{
	short	x;
	short	y;

	bool	hilighted;
	bool	selected;
	bool	moving;

	vertex_t();

	vertex_t(short X, short Y)
	{
		x = X;
		y = Y;

		hilighted = selected = moving = false;
	}

	void toggle_select()
	{
		selected = !selected;
	}

	void select()
	{
		selected = true;
	}

	void deselect()
	{
		selected = false;
	}
};

struct vertexlist_t
{
	vertex_t*	*vertices;
	DWORD		n_verts;

	vertexlist_t()
	{
		vertices = NULL;
		n_verts = 0;
	}

	void add(vertex_t* vert)
	{
		n_verts++;
		vertices = (vertex_t **)realloc(vertices, n_verts * sizeof(vertex_t *));
		vertices[n_verts - 1] = vert;
	}

	vertex_t* last() { return vertices[n_verts - 1]; }
	vertex_t* first() { return vertices[0]; }
};